HnetInfo Benchmark v1.0
Software for benchmarking system and its components
This program allows you to benchmark CPU, Memory, HDD, Video card, CD-ROM/DVD and OpenGL power of your system. You can create both text and html report with your results.
Using this program is very simple and intuitive. Read hints, labels, button captions and this help.

There are six basic categories of tested devices (CPU/FPU, Memory, Hard drive, Video card, CD-ROM, OpenGL). In each category you can benchmark your own system and compare the results to other similar system.

Categories

  • CPU/FPU
  • Memory
  • Hard drive
  • Video card
  • CD-ROM
  • OpenGL
    • Other features

  • Creating report and working with menu
  • What's new in program?
    • Please select one category from bellow for detailed introduction.


CPU/FPU
Central Processor Unit / Floating Point Unit
For benchmarking simple push Benchmark CPU/FPU button.

Main CPU

HnetInfo Benchmark detects your processor type and parameters (vendor, type, family, ...).

L1 Cache - Very fast memory built-in the processor that holds recently accessed data. Some processors have separate code & data caches, others have a unified cache. The size varies between 1kB to 64kB. The L1 cache runs at processor bus speed.

L2 Cache - Some processors have a second level of cache, larger than the L1 cache (64kB to 2MB) but slower. The cache can either be built-in (i.e. in the chip, e.g. Celeron) or on-board (i.e. in the CPU cartridge, e.g. Pentium II)

Features

Information about the capabilities of your processor
FPU built in CPU - whether the co-processor (if present) is built-in or external.

Virtual Mode Extensions - (VME) CPU supports the extensions for V86 mode that typically enhances the speed of virtual machines under Windows.

Debugging Extensions - (DE) CPU supports breakpoint setting in the I/O address space.

Memory Page Size Extensions - (PSE) The standard page size is 4KB. Some processors may support different sizes (4MB) which is advantageous when more memory is installed.

Time Stamp Counter - Internal counter incremented every clock cycle that allows high precision measurements.

Model Specific Registers - (MSR) CPU has special (model-specific) internal registers.

Physical Address Extension - (PAE) Physical addresses bigger than 32-bits are supported.

Machine Check Exception - (MCE) Exception 18 is supported.

CMPXCHG8B Instruction (64 bit compare) - (CX8) An instruction to compare & exchange 8 bytes.

Multiprocessor support (APIC enabled) - An Advanced Interrupt Controller is built-in which is faster and can be used for multi-processing.

Fast System Call supported (SYSENTER/SYSEXIT) - (FSC) Support for instructions SYSCALL & SYSRET.

Memory Type Range Registers - (MTRR) Supports special registers that improve cache throughput.

Global Page Enable - (GPE) CPU supports global pages enable/disable.

Machine Check Architecture - (MCA) Internal test of processor is available.

CMOV Instruction - (CMOV) Allows conditional execution of instructions without jumps.

Serial Number - (PSN) CPU has an unique serial number that is visible to software.

MMX - Multi-Media extensions is s set of instructions added by Intel to speed-up multimedia applications by using SIMD (single instruction multiple data) type operation like multi-processor arrays.

AMD Extended 3DNow! - Extensions added to MMX by Cyrix & AMD.

AMD 3DNow! - this is a set of instructions added by AMD to speed-up 3D multimedia applications using the processor. Unlike MMX, it works with floating point data. Support is included in DirectX 6 and later.

IntelStreaming SIMD extension - A superset of MMX set of instructions added by Intel to speed-up multimedia applications by using SIMD (single instruction multiple data) type operation like multi-processor arrays. While MMX works with integer data, SSE works with floating-point data. Support is included in DirectX 6.1 and later.

MMX is an extension to the x86 instruction set that allows multiple bytes of data to be packed together in a single register and operated on simultaneously. MMX consists of 57 new instructions for speeding multimedia tasks. The trick to these new instructions is that they operate on many different data elements at once, which increases the overall amount of work the processor can do. Examples range from operating on multiple pixels in a bitmapped image to multiple sound channels in an audio stream. MMX is not intrinsically a graphics or multimedia acceleration technology, but those are the types of applications that stand to benefit most. MMX will provide a substantial performance boost for some new applications that are coded to use MMX (more so for home rather than for business applications).

SSE(2) is an extension to the MMX instruction set designed to accelerate software performance in application that use 3D graphics, 3D geometry, signal processing, simulation, video and 3D software rasterisation, video encoding/decoding (e.g. MPEG, MPEG2).
Benchmarks

Tests how your CPU stacks up to other typical systems.
Integer Measures Integer index of main processor.

Floating point Measures Floating point index of main processor.

Pi index Calculates Pi with precision of 2000.

Matrix Computes multiplication of matrix 250x250.

Prime numbers Computes first 10 000 prime numbers to test recursion.

Dhrystones (MIPS) Computes Dhrystone benchmark. The results are in MIPS.

Whetstones (MWIPS) Computes Whetstone benchmark. The results are in MWIPS.
Next section: Memory
Previous section


Memory
Memory modules detection and test
Tests how your memory sub-system compares to other systems with the same or similar memory in other systems.

Memory load

How much of your memory is used.

Physical memory

How much of your physical memory is free.

Memory modules detection

Program detects how the memory modules are assembled on your mainboard.

Benchmark

For memory transfer speed measuring simple push Benchmark memory button.
The result of this benchmark are in MB/s.

Next section: Hard drive
Previous section: CPU/FPU
Main page


Hard drive
Hard drive benchmark
Tests how your drive(s) and controller(s) compare to other devices in a typical system.

Program tests random access of your drive in ms and read burst rate in MB/s.
For hard drive parameters measuring simple push Benchmark selected drive button.

  • Test needs up to 10MB or more free space on the hard-drive tested.

    CPU utilisation during the test is high. Modern ATA and SCSI disk controllers use DMA bus-mastering which frees the CPU from transferring data from/to the disk and increase system peformance. Such systems typically use maximum 10% of CPU time while other systems use 90-99% of CPU time during transfers.

    Next section: Video card
    Previous section: Memory


Video card
Video card detection and benchmark
Shows basic information about video adapter installed in the system:

Adapter

The name of the video adapter if detected succesfully.

Chipset

The name of chipset assembled on the adapter.

DAC

Type of DAC on the adapter.

Memory

The amount of local (onboard) memory installed.

Benchmark

Benchmark measures number of BitBlt, PaintRgn, Bitmaps, Icons, Chars and Polygons drawn on the screen in given time unit.

The results are in unit/s (where unit is one of BitBlt, PaintRgn, Bitmaps, Icons, Chars and Polygons).

For video card benchmark simple push Benchmark Graphics button.

Next section: CD-ROM
Previous section: Hard drive


CD-ROM
CD and DVD drives benchmark
Tests how your CD-ROM/DVD drive and controller compares to other CD-ROM/DVD drives in a typical system.

Consists of Random access and Sequential reading tests.

For the test, a 600MB+ data disk is required which contains large (64MB+) data files. Data disks which contain MPEG, MOV, AVI or large databases are suitable. A full VideoCD or DVD movie disk is recommended for thorough testing. Otherwise the results may have a higher degree of inaccuracy.

Before benchmarking you should select tested drive and file. Benchmark is unable to test your drive without a CD or DVD inserted in your drive.

For benchmark simple push Sequential Read or Random Access button. The Rescan drives button is used to select benchmarked drive a file on the CD inserted in the drive.

In some versions of Microsoft® Windows you can select Sync/Async reading for the test. In the others it is detected automatically by the program.

There is a graph drawn during benchmarking of drives.

Next section: OpenGL
Previous section: Video card


OpenGL
OpenGL detection and test
OpenGL is an industry standard 2D & 3D rendering only graphics interface, vendor and operating system independent. It is highly versatile, and includes support for all advanced features (texture mapping, fog, alpha blending, motion blur, etc.) as well as the standard functions any graphics interface needs to contain. It has been integrated in Windows NT/200X although a OpenGL ICD/MCD is needed for best performance.

  • Video board/driver manufacturer - the company that wrote the OpenGL renderer (i.e. OEM maker).

  • Video renderer information - the type of renderer, generally video board name.

  • OpenGL version - full version of renderer.

  • OpenGL Extensions Supported
    • OpenGL Extensions is a mechanism that allows vendors to add additional capabilities to the implementation that can be used by programs to access performance and technological innovations.

    If you have a modern graphics card, the video driver should include an ICD/MCD to accelerate OpenGL functions. This will allow you to use OpenGL software and games on your computer was it was intended to be used. Check whether an accelerated OpenGL driver is available for your video card.

    Benchmark

    For OpenGL benchmark simple select resolution, test and push Start Benchmark button.

    If the use actual resolution checkbox is selected, program won't change the actual system resolution while benchmarking. The screen resolution and color depth has an influence on measured values.

    The results are in FPS shown (frames per second).

    Next section: Creating report and working with menu
    Previous section: CD-ROM


Creating report and working with menu
Description of creating report and working with HnetInfo Benchmark menu
HnetInfo Benchmark Menu structure

File

  • Create report
    Allows you to create both text and html benchmark report. Report wizard is very easy way for obtaining proffesional and detailed report in few seconds.

    You only select report values (benchmark everything once more, use only benchmarked values), output format. You also can send the results by mail by pressing Send by mail button. Othewise press Save report button.

    You can also use Ctrl+R shortcut to open report wizard dialog.
  • Language
    Allows you to change actual language if possible.
  • Exit
    Ends the application. You can also use Alt+F4 shortcut.
    Benchmark

  • Everything
    Starts benchmark of all components (CPU/FPU, Memory, Hard drive, Video card, CD-ROM and OpenGL).
  • CPU/FPU
    Starts benchmark of CPU/FPU.
  • Memory
    Starts benchmark of memory.
  • Hard drive
    Starts benchmark of hard drive(s).
  • Video card
    Starts benchmark of video card.
  • CD-ROM
    Starts benchmark of CD-ROM.
  • OpenGL
    Starts benchmark of OpenGL.
    Help

  • About
    Displays information about application and Hnet Software company.
  • Contens
    Displays this help.

    Next section: What's new?
    Previous section: OpenGL


What's new?
Hot news in version release
This is the first release of HnetInfo Benchmark.

Previous section: Creating report and working with menu